# $Revision: 1.14 $, $Date: 2004/12/23 16:28:45 $

Summary:	Archive and compress old email
Summary(pl):	Archiwizowanie starej poczty
Name:		archivemail
Version:	0.6.1
Release:	3
License:	GPL
Group:		Applications/Mail
Source0:	http://dl.sourceforge.net/archivemail/%{name}-%{version}.tar.gz
# Source0-md5:	aaf071effc9576cc14f3b0eee1d2321e
Patch0:	 	%{name}-python23.patch
URL:		http://archivemail.sourceforge.net/
BuildRequires:	python-devel >= 2.0
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python
# for warnings.py
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Archivemail is a tool written in Python for archiving and
compressing old email in mailboxes.

It can move messages older than the specified number of days to a
separate 'archive' mbox-format mailbox that is compressed with 'gzip'.

For example, have you been subscribing to the 'linux-kernel' mailing
list for the last 6 years and ended up with an 160-meg mailbox that
Mutt is taking a long time to load? Archivemail can move all
messages that are older than 6 months to a separate compressed
mailbox, and leave you with just the most recent messages.

It supports IMAP, Maildir, MH and mbox-format mailboxes.

%description -l pl
Archivemail jest, napisanym w jzyku Python, narzdziem sucym
archiwizowaniu i kompresowaniu starej poczty.

Za pomoc programu mona przenosi wiadomoci starsze ni okrelona
liczba dni do oddzielnej skrzynki w formacie mbox, ktra jest
kompresowana przy uyciu programu 'gzip'.

Przykadowo, kto jest od 6 lat zapisany na list 'linux-kernel' i
jego skrzynka zajmuje ju ponad 160MB, a jej otwarcie trwa troch
czasu. Archivemail moe przenie wszystkie wiadomoci, powiedzmy
sprzed 6 miesicy, do oddzielnej, skompresowanej skrzynki, zostawiajc
tylko najnowsze listy.

Archivemail potrafi zapisywa i odczytywa nastpujce formaty
skrzynek pocztowych: IMAP, Maildir, MH oraz mbox.

%prep
%setup -q
%patch0

%build
# Nothing to be done here.
./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d ${RPM_BUILD_ROOT}%{_mandir}
./setup.py install \
	--prefix=%{_prefix} \
	--root=${RPM_BUILD_ROOT}

# This one is ugly.
mv ${RPM_BUILD_ROOT}%{_prefix}/man/man1 ${RPM_BUILD_ROOT}%{_mandir}

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc CHANGELOG FAQ README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: archivemail.spec,v $
Revision 1.14  2004/12/23 16:28:45  saq
- release 3 for rebuild with python 2.4

Revision 1.13  2004/11/27 23:15:22  glen
- drop warning under py2.3
- require python-modules for warnings module
- rel 2
- STBR

Revision 1.12  2004/08/30 14:21:27  ankry
- formatting, pl fixes

Revision 1.11  2004/08/30 14:18:06  snurf
- typo

Revision 1.10  2004/07/28 08:03:13  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.9  2003/08/13 20:58:10  adamg
- aieee, previous BR wasn't really needed, thanks wrobell

Revision 1.8  2003/08/13 16:20:12  adamg
- BR: python-devel < 2.3

Revision 1.7  2003/08/06 16:13:44  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.6  2003/05/26 16:24:45  malekith
- massive attack: adding Source-md5

Revision 1.5  2003/05/25 05:45:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/02/25 11:18:20  qboosh
- working Source URL

Revision 1.3  2003/02/13 15:36:16  wrobell
- summaries and descriptions fixes

Revision 1.2  2003/02/12 23:09:36  ankry
- added %%doc

Revision 1.1  2003/02/12 22:46:38  grzegol
- spec by Adam Gobiowski <adamg@biomerieux.pl>
- adapterized
